Blasphemous Switch NSP + Update 1.0.6 + DLC (eShop)

Blasphemous Switch NSP

Title: Blasphemous
Release Date: Sep 10, 2019
Category: Action, Adventure
Publisher: Team17 Digital Ltd
Format: NSP
Title ID: 0100698009C6E000
Title Size: 3.56 GB
Language: En, Fr, De, It, Es
Required Firmware: 8.1.0
CFW: 8.1.0 + Atmosphere 0.9.3

Blasphemous NSP is a punishing action-platformer that combines the fast-paced, skilled combat of a hack-n-slash game with a deep and evocative narrative core.

Description: A foul curse has fallen upon the land of Cvstodia and all its inhabitants – it is simply known as The Miracle. Play as The Penitent One – a sole survivor of the massacre of the ‘Silent Sorrow’. Trapped in an endless cycle of death and rebirth, it’s down to you to free the world from this terrible fate and reach the origin of your anguish. Explore this nightmarish world of twisted religion and discover its many secrets hidden deep inside. Use devastating combos and brutal executions to smite the hordes of grotesque monsters and titanic bosses, who are all ready to rip your limbs off. Locate and equip relics, rosary beads and prayers that call on the powers of the heavens to aid you in your quest to break your eternal damnation.

How to Install and Update the Game

  1. Install the NSP via TinfoilAwoo Installer or Gold Leaf.
  2. Once installations is done play and Enjoy the game.

Download Links

Base Game NSP (3.56 GB)

1Fichier
Download

SendCM
Download

FastDrive
Download

MegaUp
Download

Torrent
Download

The Golden Burden DLC

Update 1.0.6 (v393216)

Please report the broken/dead/missing links into the comment section.

guest
133 Comments
Newest
Oldest Most Voted
Inline Feedbacks
View all comments
theYato
2 months ago

no funciona el google drive

Flávio Adalberto Messias do Nascimento
Flávio Adalberto Messias do Nascimento
6 months ago
Base Game NSP = Link Drive (Link is not working)
The Golden Burden = Link Mediafire (Link is not working)
Update = Link Mediafire (Link is not working)
Anon
Anon
7 months ago

Blasphemous: Strife and Ruin
New update released today, thought I’d let you know.

GrayFox
GrayFox
7 months ago

AdminNX can you please upload the base game and the update on mega

Ize
Ize
9 months ago

hi! May I request if you still have a copy of the 1.0.4 version can you pls upload it? Thank you!

Rarz89
Rarz89
9 months ago

AdminNX the nsp files for google drive have exceeded download could you place another nsp download link please an thank you

Tii Jay
Tii Jay
10 months ago

Download limit reached. Please reupload. Thank you!

juanjo
juanjo
11 months ago

hola, aparece un error cuando hago un check del archivo base y del update 1.0.4, diciendo que estos archivos nsp han sido modificados. This is a modified dump! Can cause damage to your console… Por qué ? gracias

Rizo
Rizo
1 year ago

Hello could you upload the DLC / update The Stir of Dawn

Rizo
Rizo
1 year ago

Hola podrías subir el DLC/update The Stir of Dawn

Lellis
Lellis
1 year ago

Update 1.0.4 Mega and GDrive is down. Thanks admin for your great job :D.

Lellis
Lellis
1 year ago

Google drive links are asking for access

WiiEJECT
WiiEJECT
1 year ago

Any update about the The Stir of Dawn dlc?

Twiti
Twiti
1 year ago

Thank you! Got Game Base and update 1.0.4. Now waiting for Stir of Dawn DLC with Spanish voices, hope you can upload it soon!

Jimbowangyang
Jimbowangyang
1 year ago

Hola, gracias por la update, el Dlc del 4 estará listo? 🙂

VaultBoy
VaultBoy
1 year ago

Gracias por la update, el DLC cuando se puede descargar? 🙂

Luigymazul
Luigymazul
1 year ago

The last update 1.0.4 brings the dlc !?

K-WW-TT-BB
K-WW-TT-BB
1 year ago

sorry i have a question where is the nsp. of the DLC. from blasphemous the stir of dawn?

bringles
bringles
1 year ago

Any news on the dlc?

RPozoY
RPozoY
1 year ago

the base game link does not work, it says that many people have installed this file. sorry to bother.

Earl Sinclair
Earl Sinclair
1 year ago

The update ‘Update 1.0.4 (v262144)’ includes the dlc?

Last edited 1 year ago by Earl Sinclair
Max
Max
1 year ago

O Update Update 1.0.4 é o novo update?

atom
atom
1 year ago

do i need to download for 1.0.2 or just 1.04 directly?, i have 1.0.1 installed
Thank you

John
John
1 year ago
Reply to  AdminNx

Is this the Stir of Dawn update?..

luigymazul
luigymazul
1 year ago

any update about the dlc the stir of dawn ?

Javier Ruiz Arenas
Javier Ruiz Arenas
1 year ago

Dlc?

Drenas
Drenas
1 year ago

Alguna novedad del dlc

RPozoY
RPozoY
1 year ago

admin the dlc that comes out this august 4 will be on this page to download?

XxlolmataxX
XxlolmataxX
1 year ago

me pide que pida permiso para poder acceder a los archivos de google drive

Jasmin
Jasmin
1 year ago

Amigo me dice que necesito solicitar acceso desde mi cuenta de google drive, osea que esta bloqueado y solo se puede con invitación, hay varios links asi en tu pagina… eso es normal?

Lasky
Lasky
1 year ago

links de descarga de google drive mal puesto

Andrew Gonzalez
Andrew Gonzalez
1 year ago
Reply to  AdminNx

No te metas con el Admin.

myria76
myria76
1 year ago

dead link

josw
josw
1 year ago

links are down

mm
mm
1 year ago

Links are down, Thanks

Amin
Amin
1 year ago

Links are dead

Figueira
Figueira
1 year ago

Poderia aceitar a minha solicitação, por favor, para poder baixar o update do game?

Hyl
Hyl
1 year ago

link not working. Too many accesses.

Ern
Ern
1 year ago

Thanks for uploading the update, but for some unknown reason my switch says error and not able to read the update nsp file, it turns out as a white thumbnail box.
I am currently on FW 8.1, will updating to FW 9.x makes the file readable?

Ern
Ern
1 year ago
Reply to  AdminNx

Thanks for your quick reply! I tried both SXOS installer and Gold Leaf but to no avai, both of them just mentioned that the file is unreadable. Had also tried redownloading the update file and it cannot work either.

ArcTheLad
ArcTheLad
1 year ago

Do you have the latest update to this? Thanks.

ArcTheLad
ArcTheLad
1 year ago
Reply to  AdminNx

Tried installing this with GL 0.5 (I use Android/Ns Usbloader) and I get this error:

Module: FS (2)

Description: invalid PFS0 (NSP) (4535)

Any ideas how to fix this?

ArcTheLad
ArcTheLad
1 year ago
Reply to  ArcTheLad

Also I’m on FW 8.1 and AMS 9.3. Maybe the update needs FW 9.0?

ArcTheLad
ArcTheLad
1 year ago
Reply to  AdminNx

I see, thanks for the help and the upload. Appreciate all your content.

Diego Aránguiz
Diego Aránguiz
1 year ago

Disculpa por lo poco que me manejo en el tema. Pero si lo actualizo… Pierdo la compatibilidad con los juegos que ya tengo instalados?

Diego
Diego
1 year ago
Reply to  AdminNx

Gracias, ya lo resolví actualizando la consola a FW 8.1.0. y todo ok.. sigo jugando los que tenia instalados.. sabes si subo a fw 9 hay inconvenientes o conflictos con los juegos mas antiguos??

Diego Aránguiz
Diego Aránguiz
1 year ago

Hola. Yo al instalar Blasphemous y el de los caza fantasmas me pide actualizar. Sé que tengo sx OS v2.8 pero más que eso no se… Como puedo ver qué es lo que tengo y si me puedes ayudar porfavor? Gracias!!

Diego Aránguiz
Diego Aránguiz
1 year ago
Reply to  AdminNx

8.0.1 y para instalar el nsp lo hago ingresando a galería y aparece el menú del osx y desde ahí instalo el archivo

endrusplx
endrusplx
1 year ago

links down plis reupload

Diskney Cabrera
Diskney Cabrera
1 year ago

Links are down.

Midnanor
Midnanor
1 year ago

I download the game to the switch and everything looks good but when I start the game asks me for internet connection.
I have FW 9.0.0, Atmo 0.9.4

Midnanor
Midnanor
1 year ago

I download the game but when I tried to start it, asks me for internet conection

Iago_Bill
Iago_Bill
2 years ago

Okay!
In OFW 8.1.0 and down to Atmo 0.9.1 + Kosmos 13.2.1.
deleting the game and installing the nsp again with Goldleaf 7.0.
Now it is working.
Thank you very much friend!

Iago_Bill
Iago_Bill
2 years ago

Hi there!
I am in FW 8.1.0 Atmo 0.9.3s and it asks me for an internet connection
(I guess to download an update)

Iago _Bill
Iago _Bill
2 years ago
Reply to  AdminNx

I have downloaded and replaced the patches of your link. Thank you!
And he still asks me for internet conaxeon 🙁
I’m in OFW 8.1.0 and Atmos 0.9.3s (with “s” at the end, which for me is a novelty)
I have been able to verify that some games like Astral Chain or Let’s Go Pikachu don’t work for me (with OFW 8.1.0 and Atmos 0.9.1, they worked)
joo … I have updated to 8.1.0 by Blasphemous. The hype … I need XD to work

Iago_Bill
Iago_Bill
2 years ago
Reply to  AdminNx

I really don’t know what Kosmos is.
But in the Homebrew I have “Kosmos Toolbox (2.0.0)” and “Kosmos Updater (3.0.7)”

loki
loki
2 years ago

Confirmed this game is working perfectly. FW 8.1.0 Atmos 0.9.3 with the latest sig patches. thanks

alex
alex
2 years ago

hi, i just installed the game on my switch, but when i open the game it crashes and i have to reinject the payload

keith
keith
2 years ago
Reply to  AdminNx

Have you gotten this game to work?

alex
alex
2 years ago
Reply to  AdminNx

I Used the gold tree, version 0.4

alex
alex
2 years ago
Reply to  AdminNx

i dont know cfw but its the atmosphere 8.0.1

luis
luis
2 years ago

a salido el firmware 9.0.0 se pueden baja los juegos de version?

Iago _Bill
Iago _Bill
2 years ago

Hola!
Se puede usar Renxpack v1.16, para parchear lo a 6.0 y así que funciones?
Y poder permanecer en 7.0.1

Pablo
Pablo
2 years ago
Reply to  AdminNx

Hola! Tengo FW 5.1 y parcheo el juego con reNXpack, ¿por qué no lo puedo jugar?